local checkButtons = {
	"AlertSound",
}

local sliders = {
	{"AlertThreshold", "%d sec", 0, 600, 10},
	{"AlertHoldTimer", "%.1f sec", 0.5, 3.0, 0.1},
	{"MaxAlerts", "%d", 1, 8, 1},
}

local filters = {
	{0, "Nobody"},
	{1, "My target only"},
	{2, "My target or focus"},
	{3, "Everyone"},
}

local dropDowns = {
	{"ShowAlert", filters},
}

-- Functions

function PABR_AlertsConfigPanel_OnLoad(self)
	self.name = "Alerts"
	self.parent = "PAB Reloaded"
	self.okay = PABR_AlertsConfigPanel_Okay
	self.cancel = PABR_AlertsConfigPanel_Refresh
	self.default = PABR_AlertsConfigPanel_Default
	InterfaceOptions_AddCategory(self)

	PABR_Config_InitWidget(self, "button", checkButtons)
	PABR_Config_InitWidget(self, "slider", sliders)
	PABR_Config_InitWidget(self, "dropdown", dropDowns)
	
	PABR_AlertsConfigPanel_ShowAlertText:SetText("Show alerts from...")
	PABR_AlertsConfigPanel_AlertSoundCheckButton:SetText("Play sound on alert")
	
	PABR_AlertsConfigPanel_AlertThresholdSlider:SetText("Show an alert for cooldowns longer or equal to...")
	PABR_AlertsConfigPanel_AlertHoldTimerSlider:SetText("Display alerts for...")
	PABR_AlertsConfigPanel_MaxAlertsSlider:SetText("Max alerts shown")
end

function PABR_AlertsConfigPanel_Okay(self)
	PABR_Config_SaveWidget(self, "button", checkButtons)
	PABR_Config_SaveWidget(self, "slider", sliders)
	PABR_Config_SaveWidget(self, "dropdown", dropDowns)
end

function PABR_AlertsConfigPanel_Default(self)
	PABR_Config_ResetWidget(self, "button", checkButtons)
	PABR_Config_ResetWidget(self, "slider", sliders)
	PABR_Config_ResetWidget(self, "dropdown", dropDowns)
	
	PABR_CheckEnable()
end

function PABR_AlertsConfigPanel_Refresh(self)
	PABR_Config_LoadWidget(self, "button", checkButtons)
	PABR_Config_LoadWidget(self, "slider", sliders)
	PABR_Config_LoadWidget(self, "dropdown", dropDowns)
end