local checkButtons = {
	"ShowEffect",
	"ShowPortrait",
	"FlashTargetCooldowns",
}

local sliders = {
	{"MaxCooldowns", "%d", 1, 64, 1},
	{"MaxCooldownsPerPlayer", "%d", 1, 16, 1},
}

-- Functions

function PABR_InterfaceConfigPanel_OnLoad(self)
	self.name = "Interface"
	self.parent = "PAB Reloaded"
	self.okay = PABR_InterfaceConfigPanel_Okay
	self.cancel = PABR_InterfaceConfigPanel_Refresh
	self.default = PABR_InterfaceConfigPanel_Default
	InterfaceOptions_AddCategory(self)
	
	PABR_Config_InitWidget(self, "button", checkButtons)
	PABR_Config_InitWidget(self, "slider", sliders)
	
	PABR_InterfaceConfigPanel_ShowEffectCheckButton:SetText("Show effect duration before showing cooldown")
	PABR_InterfaceConfigPanel_ShowPortraitCheckButton:SetText("Show character portraits |cffffff00[not yet implemented]|r") -- TODO    "Show character portraits (recommended for big teams)"
	PABR_InterfaceConfigPanel_FlashTargetCooldownsCheckButton:SetText("Make target's cooldowns flash")
	PABR_InterfaceConfigPanel_MaxCooldownsSlider:SetText("Max cooldowns shown")
	PABR_InterfaceConfigPanel_MaxCooldownsPerPlayerSlider:SetText("Max cooldowns shown per player")
end

function PABR_InterfaceConfigPanel_Okay(self)
	PABR_Config_SaveWidget(self, "button", checkButtons)
	PABR_Config_SaveWidget(self, "slider", sliders)
end

function PABR_InterfaceConfigPanel_Default(self)
	PABR_Config_ResetWidget(self, "button", checkButtons)
	PABR_Config_ResetWidget(self, "slider", sliders)
	
	PABR_CheckEnable()
end

function PABR_InterfaceConfigPanel_Refresh(self)
	PABR_Config_LoadWidget(self, "button", checkButtons)
	PABR_Config_LoadWidget(self, "slider", sliders)
end